function sendEmail() {
  const firstName = document.getElementById("firstname").value;
  const name = document.getElementById("name").value;
  const email = document.getElementById("email").value;
  const phone = document.getElementById("phone").value;
  const message = document.getElementById("message").value;

  // Vérifier que tous les champs sont remplis
  if (
    firstName.trim() === "" ||
    name.trim() === "" ||
    email.trim() === "" ||
    phone.trim() === "" ||
    message.trim() === ""
  ) {
    alert("Veuillez remplir tous les champs.");
    return;
  }

  // Vérifier le format de l'e-mail avec une regex
  const emailRegex = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
  if (!emailRegex.test(email)) {
    alert("Veuillez entrer une adresse e-mail valide.");
    return;
  }

  // Vérifier le format du numéro de téléphone avec une regex
  const phoneRegex = /^\d{10}$/;
  if (!phoneRegex.test(phone)) {
    alert("Veuillez entrer un numéro de téléphone valide (10 chiffres).");
    return;
  }

  const serviceID = "service_v7bbwjc";
  const templateID = "template_rij5pjp";

  emailjs
    .send(serviceID, templateID, {
      firstname: firstName,
      name: name,
      email: email,
      phone: phone,
      message: message,
    })
    .then(
      () => {
        alert("Votre message a bien été envoyé !");
        document.getElementById("contact-form").reset();
      },
      (err) => {
        alert("Désolé, une erreur s'est produite. Veuillez réessayer.");
      }
    );
}
